kr.co.hanwha.hifive.network.hanwha

## Class HanwhaNetworkError

- java.lang.Object
- - kr.co.hanwha.hifive.network.hanwha.HanwhaNetworkError

-     public class HanwhaNetworkError
      extends java.lang.Object

  Created by sanghoonkwon on 2018. 1. 11..

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `CODE_404_NOT_FOUND_ERROR`
    `static int` | `CODE_CONNECT_TIMED_OUT`
    `static int` | `CODE_DEFAULT`
    `static int` | `CODE_EMPTY_DATA`
    `static int` | `CODE_EXCEPTION`
    `static int` | `CODE_NETWORK_CONNECTION_ERROR`
    `static int` | `CODE_SUCCESS`
    `static int` | `CODE_SYSTEM_EXCEPTION`
    `(package private) java.lang.String` | `message`
    `(package private) okhttp3.Response` | `response`
    `(package private) int` | `statusCode`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HanwhaNetworkError()`
    `HanwhaNetworkError(java.lang.Exception e)`
    `HanwhaNetworkError(int statusCode)`
    `HanwhaNetworkError(int statusCode, java.lang.Exception e)`
    `HanwhaNetworkError(int statusCode, java.lang.String message)`
    `HanwhaNetworkError(int statusCode, java.lang.String message, okhttp3.Response response)`
    `HanwhaNetworkError(java.lang.String message)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `checkCode(int code, int check)`
    `java.lang.String` | `getMessage()`
    `okhttp3.Response` | `getResponse()`
    `int` | `getStatusCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### CODE_EMPTY_DATA

          public static final int CODE_EMPTY_DATA

      See Also:
        Constant Field Values

    - #### CODE_SYSTEM_EXCEPTION

          public static final int CODE_SYSTEM_EXCEPTION

      See Also:
        Constant Field Values

    - #### CODE_SUCCESS

          public static final int CODE_SUCCESS

      See Also:
        Constant Field Values

    - #### CODE_404_NOT_FOUND_ERROR

          public static final int CODE_404_NOT_FOUND_ERROR

      See Also:
        Constant Field Values

    - #### CODE_DEFAULT

          public static final int CODE_DEFAULT

      See Also:
        Constant Field Values

    - #### CODE_EXCEPTION

          public static final int CODE_EXCEPTION

      See Also:
        Constant Field Values

    - #### CODE_CONNECT_TIMED_OUT

          public static final int CODE_CONNECT_TIMED_OUT

      See Also:
        Constant Field Values

    - #### CODE_NETWORK_CONNECTION_ERROR

          public static final int CODE_NETWORK_CONNECTION_ERROR

      See Also:
        Constant Field Values

    - #### statusCode

          int statusCode

    - #### message

          java.lang.String message

    - #### response

          okhttp3.Response response

  - ### Constructor Detail

    - #### HanwhaNetworkError

          public HanwhaNetworkError()

    - #### HanwhaNetworkError

          public HanwhaNetworkError(int statusCode)

    - #### HanwhaNetworkError

          public HanwhaNetworkError(java.lang.String message)

    - #### HanwhaNetworkError

          public HanwhaNetworkError(java.lang.Exception e)

    - #### HanwhaNetworkError

          public HanwhaNetworkError(int statusCode,
                                    java.lang.String message)

    - #### HanwhaNetworkError

          public HanwhaNetworkError(int statusCode,
                                    java.lang.String message,
                                    okhttp3.Response response)

    - #### HanwhaNetworkError

          public HanwhaNetworkError(int statusCode,
                                    java.lang.Exception e)

  - ### Method Detail

    - #### getStatusCode

          public int getStatusCode()

    - #### getMessage

          public java.lang.String getMessage()

    - #### getResponse

          public okhttp3.Response getResponse()

    - #### checkCode

          public boolean checkCode(int code,
                                   int check)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`